%define major 4
%define libname %mklibname dvdnav %{major}
%define develname %mklibname dvdnav -d

Name:		libdvdnav
Summary:	DVD Navigation library
Version:	4.1.3
Release:	%mkrel 1
Group:		System/Libraries
License:	GPLv2+
URL:		http://www.mplayerhq.hu
Source0:	http://www.mplayerhq.hu/MPlayer/releases/dvdnav/%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libdvdread-devel >= 4.1.3

%description
libdvdnav provides support to applications wishing to make use of advanced
DVD features.

%package -n	%{libname}
Summary:	DVD Navigation library
Group:		System/Libraries

%description -n	%{libname}
libdvdnav provides support to applications wishing to make use of advanced
DVD features.

%package -n	%{develname}
Summary:	DVD Navigation library headers and support files
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname dvdnav 4 -d}

%description -n	%{develname}
libdvdnav provides support to applications wishing to make use of advanced
DVD features.

This package contains the C headers and support files for compiling 
applications with libdvdnav.

%prep

%setup -q
./autogen.sh
%build
#./configure2 --prefix=%_prefix --libdir=%_libdir --with-dvdread=%_includedir/dvdread
%define _disable_ld_no_undefined 1
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std
#gw remove buildroot
perl -pi -e "s^%buildroot^^" %buildroot%_bindir/dvdnav-config
%multiarch_binaries %{buildroot}%{_bindir}/dvdnav-config

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig 
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig 
%endif

%clean
rm -r %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING README
%{_libdir}/libdvdnavmini.so.%{major}*
%{_libdir}/libdvdnav.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc COPYING NEWS TODO AUTHORS
%{_bindir}/dvdnav-config
%{_bindir}/*/dvdnav-config
%{_libdir}/libdvdnavmini.so
%{_libdir}/libdvdnavmini.la
%{_libdir}/libdvdnav.so
%{_libdir}/libdvdnav.la
%{_includedir}/dvdnav/
%_datadir/aclocal/dvdnav.m4
%_libdir/pkgconfig/dvdnav.pc
%_libdir/pkgconfig/dvdnavmini.pc


%changelog
* Tue Sep 09 2008 Götz Waschk <waschk@mandriva.org> 4.1.3-1mdv2009.0
+ Revision: 283000
- version 4.1.3 final
- update source URL

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 4.1.3-0.r1132.1mdv2009.0
+ Revision: 278180
- new snapshot
- fix build
- update file list

* Wed Aug 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 4.1.2-3mdv2009.0
+ Revision: 264777
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 07 2008 Götz Waschk <waschk@mandriva.org> 4.1.2-2mdv2009.0
+ Revision: 202766
- fix header incompatibility with C++ (bug #40406)
- disable double build

* Mon Apr 21 2008 Götz Waschk <waschk@mandriva.org> 4.1.2-1mdv2009.0
+ Revision: 196230
- new version
- drop patch
- fix installation

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 4.1.1-0.956.2mdv2008.1
+ Revision: 103585
- add requires on libdvdread-devel into libdvdnav-devel

* Tue Oct 09 2007 Götz Waschk <waschk@mandriva.org> 4.1.1-0.956.1mdv2008.1
+ Revision: 96551
- fix installation
- readd libdvdnav.so
- fix soname
- switch to mplayer fork of dvdnav
- update file list

* Fri Aug 31 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1.10-6mdv2008.0
+ Revision: 76794
- new devel naming


* Thu Oct 26 2006 Götz Waschk <waschk@mandriva.org> 0.1.10-5mdv2007.0
+ Revision: 72723
- Import libdvdnav

* Thu Oct 26 2006 Gtz Waschk <waschk@mandriva.org> 0.1.10-5mdv2007.1
- rebuild

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.1.10-4mdk
- Rebuild

* Mon Jan 31 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1.10-3mdk
- multiarch support

* Sat Oct 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.10-2mdk
- Patch0 (CVS): fix crash with DVD without first play chain

* Sat Jun 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.10-1mdk
- major 4
- add new file
- add source URL
- New release 0.1.10

